UpdateChannelListingID updates the channel ID for the listing
You call thisScope not enforced
POST
/v2/storefront/listing/variant/{sku}/channel_id
const url = 'https://api.zentail.com/v2/storefront/listing/variant/example/channel_id';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"channelId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.zentail.com/v2/storefront/listing/variant/example/channel_id \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "channelId": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”sku
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
UpdateChannelListingIDRequest provides the status of a SKU
object
channelId
string
Examplegenerated
{ "channelId": "example"}Responses
Section titled “ Responses ”A successful response.
Media typeapplication/json
UpdateChannelListingIDResponse is empty
object
Examplegenerated
{}default
Section titled “default”An unexpected error response.
Media typeapplication/json
object
code
integer format: int32
message
string
details
Array<object>
object
@type
string
key
additional properties
Examplegenerated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}